import areaStroe from './areaStore';

export default {
  install(store) {
    if (!store.state.base) {
      store.registerModule(['base'], {
        state: {},
      });
    }
    if (!store.state.base.dashboardArea) {
      store.registerModule(['base', 'dashboardArea'], areaStroe);
    }
  },
  uninstall(store) {
    store.unregisterModule(['base', 'dashboardArea']);
  },
};
